1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

need help with UMD loader v0.8c

Discussion in 'Sony PSP - Mod and firmware discussion' started by saputra, Mar 27, 2007.

  1. saputra

    saputra Member

    Joined:
    Mar 27, 2007
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    11
    I'm new here, I have psp v1.5, I have download umd emulator v0.8c from psp-hack.com, I already done all the step needed to put umd to my psp. When I select my iso game with direct load and it freeze my psp. I try to select my iso game with system menu it say 'umd could not be read'. I try to play wipe out pure, all psp game folder and umd data bin is there. can anyone please help meeeeeeeee. thank you
     
  2. chanman1

    chanman1 Regular member

    Joined:
    Feb 6, 2006
    Messages:
    1,705
    Likes Received:
    0
    Trophy Points:
    46
    forget about umdemulator and use something newer...devhook or custom firmware like 3.03 oe-c
     
  3. saputra

    saputra Member

    Joined:
    Mar 27, 2007
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    11
    I have download devhook 0.52, do I need to upgrade my firmware? my firmware currently is 1.5, I'm also scare that using devhook can brick my PSP, that is why I choose UMD emulator in the first place.
     
  4. CoRn3tTo

    CoRn3tTo Regular member

    Joined:
    Feb 16, 2007
    Messages:
    172
    Likes Received:
    0
    Trophy Points:
    26
    upgrade to 3.03oe-c and nothin to worry about coz it has a recovery menu you can get back to 1.5 if you brick/semi-brick your psp
     
  5. chanman1

    chanman1 Regular member

    Joined:
    Feb 6, 2006
    Messages:
    1,705
    Likes Received:
    0
    Trophy Points:
    46
    part of what CoRn3tTo says it true, u don't have to worry about semi bricks in 3.03 oe-c, but CoRn3tTo, you cannot recovery from a full brick, even in 3.03 oe-c using recovery menu. i use 3.03 oe-c myself because it is much simpler to use than devhook, instead of having to emulate firmware, 3.03 oe-c is the firmware. it can do everything devhook can - homebrew, ISOs and more - customizing the xmb(icons, font, coldboots, gameboots, text, and more), playing ps1 games. i seriously recommend upgrading. unless you are an idiot, which i hope you aren't, and can't read instructions properly, then 3.03 oe-c is a much better idea. use this link

    http://forums.afterdawn.com/thread_view.cfm/460892

    if you still don't want to, then devhook goes on your 1.5 psp, and it won't brick since it doesn't mess wiht your psp's flash.

    your call
     
    Last edited: Mar 28, 2007
  6. CoRn3tTo

    CoRn3tTo Regular member

    Joined:
    Feb 16, 2007
    Messages:
    172
    Likes Received:
    0
    Trophy Points:
    26
    i did'nt mean a full brick[coz sometimes we use brick words]
    example: if you brick your psp while flashing you can recover it to 1.5]
    (but yeah im wrong using brick word in that sentence it should be semi-brick only thanx chanman1)
    brick means totally unusable

    but yeah i know you can't recover from a full brick
    causes what?
    i know if you do stupid things when u downgrade/upgrade then removed the batt/memstick/or your batt died
    some says messing with your .prx and custom intro can do a full brick
    and trojan???
     

Share This Page